﻿using Syncfusion.HtmlConverter;
using Syncfusion.Pdf;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WebKitTest
{
    class Program
    {
        static void Main(string[] args)
        {
            HtmlToPdfConverter htmlConverter = new HtmlToPdfConverter(HtmlRenderingEngine.WebKit);
            WebKitConverterSettings webKitSettings = new WebKitConverterSettings();
            
            webKitSettings.TempPath = "./";
            webKitSettings.WebKitPath = "../../QtBinaries";
            webKitSettings.EnableForm = true;
            htmlConverter.ConverterSettings = webKitSettings;
            
            PdfDocument document = htmlConverter.Convert("../../Input/BootstrapFields.html");
            document.Save("./output.pdf");
            document.Close(true);
        }
    }
}
